# The basic Sokoban code architecture was written by Tim Wheeler
# but is based off of YASS (in Pascal) by Brian Damgaard.
# All code here is provided as-is, and is the result of Tim messing
# around in his free time.

using DataStructures
using StaticArrays
using Random

import Base.@kwdef

include("constants.jl")
include("basic_utilities.jl")
include("zobrist.jl")
include("game.jl")
include("reach.jl")
include("solve_utilities.jl")

include("solvers/depth_first_search.jl")
include("solvers/iterative_deepening_dfs.jl")
include("solvers/zobrist_dfs.jl")
include("solvers/iterative_deepening_zobrist_dfs.jl")
include("solvers/astar.jl")
include("solvers/astar_full_state.jl")
include("solvers/astar_with_dfs_expansion.jl")
